Bug 1282917 - Review Request: perl-Test-mysqld - Mysqld runner for tests
Review Request: perl-Test-mysqld - Mysqld runner for tests
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 14:33 EST by Denis Fateyev
Modified: 2015-12-06 02:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-29 21:19:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-11-17 14:33:29 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Test-mysqld.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Test-mysqld-0.17-1.fc24.src.rpm
Description: Test::mysqld automatically setups a mysqld instance in a temporary directory, and destroys it when the perl script exits.
Fedora Account System Username: dfateyev

Koji rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11886102
Comment 1 Upstream Release Monitoring 2015-11-17 14:38:11 EST
dfateyev's scratch build of perl-Test-mysqld-0.17-1.fc20.denf.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11886489
Comment 2 Upstream Release Monitoring 2015-11-17 15:06:11 EST
dfateyev's scratch build of perl-Test-mysqld-0.17-1.fc20.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11886768
Comment 3 Denis Fateyev 2015-11-18 07:13:32 EST
Fixed Requires according RHBZ#1282956 along other small changes.

Spec path: http://www.fateyev.com/RPMS/Fedora22/perl-Test-mysqld.spec

Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11891926
Comment 4 Jitka Plesnikova 2015-11-18 08:45:06 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Test-mysqld-0.17-1.fc24.noarch.rpm | sort | uniq -c
      1 mysql-server
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Class::Accessor::Lite)
      1 perl(Cwd)
      1 perl(DBD::mysql)
      1 perl(DBI)
      1 perl(File::Copy::Recursive)
      1 perl(File::Temp)
      1 perl(POSIX)
      1 perl(Time::HiRes)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

FIX: Add run Requires
- perl(File::Spec) - Test-mysqld-0.17/lib/Test/mysqld.pm:183
- perl(File::Basename) - Test-mysqld-0.17/lib/Test/mysqld.pm:184

$ rpm -qp --provides perl-Test-mysqld-0.17-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Test::mysqld) = 0.17
      1 perl-Test-mysqld = 0.17-1.fc24

Binary provides are Ok.

$ rpmlint ./perl-Test-mysqld*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

BuildRequires:
FIX: Please remove from BRs
- perl(Config) - Module::Install::Can not used for build
- perl(Fnctl) - Module::Install::Makefile not used for build

Please correct all 'FIX' issues and provide new spec file.

Otherwise the package looks good.
Comment 5 Upstream Release Monitoring 2015-11-18 13:09:17 EST
dfateyev's scratch build of perl-Test-mysqld-0.17-3.fc20.denf.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11894024
Comment 6 Denis Fateyev 2015-11-18 13:17:33 EST
- Added perl(File::Spec) and perl(File::Basename) to Requires
- Removed perl(Config) and perl(Fnctl) from BuildRequires

Spec path: http://www.fateyev.com/RPMS/Fedora22/perl-Test-mysqld.spec

Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11894029
Comment 7 Jitka Plesnikova 2015-11-19 02:52:36 EST
It looks good.

Approved.
Comment 8 Gwyn Ciesla 2015-11-19 09:03:11 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Test-mysqld
Comment 9 Fedora Update System 2015-11-20 14:32:33 EST
perl-Test-mysqld-0.17-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-64d8af63fd
Comment 10 Fedora Update System 2015-11-20 14:32:33 EST
perl-Test-mysqld-0.17-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-28a2e8cb96
Comment 11 Fedora Update System 2015-11-20 14:32:39 EST
perl-Test-mysqld-0.17-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3f58717566
Comment 12 Fedora Update System 2015-11-20 14:32:39 EST
perl-Test-mysqld-0.17-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9dd68c38cd
Comment 13 Fedora Update System 2015-11-21 12:50:42 EST
perl-Test-mysqld-0.17-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Test-mysqld'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9dd68c38cd
Comment 14 Fedora Update System 2015-11-21 15:49:38 EST
perl-Test-mysqld-0.17-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Test-mysqld'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-28a2e8cb96
Comment 15 Fedora Update System 2015-11-21 15:52:31 EST
perl-Test-mysqld-0.17-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Test-mysqld'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-64d8af63fd
Comment 16 Fedora Update System 2015-11-22 09:25:16 EST
perl-Test-mysqld-0.17-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Test-mysqld'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3f58717566
Comment 17 Fedora Update System 2015-11-29 21:19:29 EST
perl-Test-mysqld-0.17-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-11-29 23:20:01 EST
perl-Test-mysqld-0.17-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-12-06 02:23:56 EST
perl-Test-mysqld-0.17-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-12-06 02:55:58 EST
perl-Test-mysqld-0.17-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.